curl --request GET \
--url https://api-eu.cybedefend.com/project/{projectId}/results/containerimport requests
url = "https://api-eu.cybedefend.com/project/{projectId}/results/container"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api-eu.cybedefend.com/project/{projectId}/results/container', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"projectId": "<string>",
"projectName": "<string>",
"page": 2,
"limit": 17.5,
"totalPages": 123,
"vulnerabilities": [
{}
],
"total": 123,
"sort": "currentState",
"order": "asc",
"severity": [
"critical"
],
"status": [
"to_verify"
],
"language": "<string>",
"priority": [
"critical_urgent"
],
"scanProjectInfo": {
"scanId": "<string>",
"state": "queued",
"createAt": "2023-11-07T05:31:56Z",
"scanType": "<string>"
},
"vulnCountByType": {
"sast": 123,
"iac": 123,
"sca": 123,
"container": 123,
"cicd": 123,
"secret": 123
}
}{
"timestamp": "2025-02-18T12:31:18.491Z",
"service": "AiService",
"method": "startConversation",
"message": "Invalid parameters provided",
"code": 400
}Get all container vulnerabilities of a project
Retrieves paginated container vulnerabilities with filtering options
Path Parameters
Project identifier
Query Parameters
Filter results by a specific container image ID.
Filter by branch name (e.g. main, develop, feature/xyz)
Filter by autofix status: true = only with autofix, false = only without autofix, omit = all
Response
Container vulnerabilities retrieved successfully
Project unique identifier
Project name
Current page number
x >= 1Number of items per page
10 <= x <= 25Total number of pages
List of vulnerabilities matching the filters
Total number of vulnerabilities found
Field used for sorting
currentState, currentSeverity, currentPriority, language, createdAt, updateAt Order of sorting
asc, desc Filter by severity
critical, high, medium, low Filter by vulnerability status
to_verify, resolved, confirmed, ignored Filter by programming language
Filter by priority levels
critical_urgent, urgent, normal, low, very_low Information about the ongoing or last scan
Show child attributes
Show child attributes
Count of vulnerabilities grouped by type (SAST, SCA, IaC)
Show child attributes
Show child attributes